Bug 1254828 - Review Request: python-networking-bigswitch - big switch neutron plugin
Review Request: python-networking-bigswitch - big switch neutron plugin
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
unspecified Severity medium
: ---
: ---
Assigned To: Haïkel Guémar
Fedora Extras Quality Assurance
:
Depends On:
Blocks: RDO-LIBERTY-REVIEWS 1261086
  Show dependency treegraph
 
Reported: 2015-08-18 21:02 EDT by xinwu
Modified: 2016-10-25 00:54 EDT (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1261086 (view as bug list)
Environment:
Last Closed: 2015-09-04 18:46:28 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
karlthered: fedora‑review+
rhosp-bugs-internal: needinfo-
limburgher: fedora‑cvs+


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Knowledge Base (Solution) 2041313 None None None Never

  None (edit)
Description xinwu 2015-08-18 21:02:02 EDT
Spec URL: https://bigswitch.box.com/s/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3
SRPM URL: https://bigswitch.box.com/s/53v6lgvm7mxxh51pzpn2ykubduggv45z
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10747075
Comment 1 Steve Linabery 2015-08-19 09:24:49 EDT
The Spec URL and SRPM URL should point directly at a resource that can be downloaded using e.g. wget.
Comment 2 bigswitch 2015-08-19 11:28:43 EDT
Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/53v6lgvm7mxxh51pzpn2ykubduggv45z.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10747075

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/53v6lgvm7mxxh51pzpn2ykubduggv45z.rpm -O python-networking-bigswitch-2015.1.29-1.el7.centos.src.rpm
Comment 3 bigswitch 2015-08-19 11:28:53 EDT
Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/53v6lgvm7mxxh51pzpn2ykubduggv45z.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10747075

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/53v6lgvm7mxxh51pzpn2ykubduggv45z.rpm -O python-networking-bigswitch-2015.1.29-1.el7.centos.src.rpm
Comment 4 Ihar Hrachyshka 2015-08-19 11:41:09 EDT
1. exclude html docs into separate package (that was requested for vmware-nsx on Fedora review, I know we need to update other Delorean packages to do the same).

2. agent is missing .service file.

3. I don't see neutron in deps. Also, I wonder whether deps list corresponds to what is in requirements.txt (haven't checked).

4. license should be %license, not %doc.

5. Files should be in /etc/, not /usr/etc (move them).

6. why does your library override neutron/policy.json?
Comment 5 bigswitch 2015-08-19 16:54:10 EDT
Reviewer's comments have been addressed. Please use following new links for further review.

This rpm package doesn't include agent any more. It includes only ml2 plugin and l3 service plugin. As a result, no .service file is required.

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/5vl27fopm813bgnujzeo70d5kg9c5asq.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10758510

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/5vl27fopm813bgnujzeo70d5kg9c5asq.rpm -O python-networking-bigswitch-2015.1.33-1.el7.centos.src.rpm
Comment 6 Ihar Hrachyshka 2015-08-21 04:03:37 EDT
I think URL should point to pypi page with the python package, not bigswitch website.

It's not clear where you get the version tag from. I can't find the tag 2015.1.33 in stackforge/bigswitch repository. I always thought that all libraries in openstack are generated and uploaded to pypi thru tagging a release in git. Can you clarify how you generate the tarball? I am not sure at all that dropping the agent from the tarball is the way to go. I would better instead see it packaged with .service file.

Also it's not clear why you don't build documentation now, and if you really mean it, why you still have python-sphinx in build dependencies.

Finally, I don't see your package to depend on anything apart from python-neutron. I presume it's wrong since the library directly imports from a lot of libraries, oslo but not only. I think it should be resolved in upstream not to rely on neutron to fetch the dependencies for you.
Comment 7 Ihar Hrachyshka 2015-08-21 04:05:19 EDT
I will review the package formally on Mon.
Comment 8 bigswitch 2015-08-21 17:39:55 EDT
    Thanks a lot Ihar for the review comments. I'm addressing them right now. A little explanation why we drop the .service file here.
    Big Switch has three pieces of code need to be packaged. 1) ml2 plugin and l3 service plugin, which is in this package and they are not services. 2) neutron-bsn-agent, which will be in a separate package and require .service file. and 3) bsnlldp, which will be the 3rd package and require .service file.
    We internally decided to have three separate packages instead of one for easy deployment, because we'd like to have the flexibility to specify which node to deploy which package.
    This review is about the first package. We will submit two more reviews for package 2) and 3)
Comment 9 bigswitch 2015-08-22 14:27:54 EDT
We need to revert a change in stackforge/networking-bigswitch stable/kilo branch. https://review.openstack.org/#/c/215848/, Once that review gets merged, we will push a proper tag.
Comment 10 Ihar Hrachyshka 2015-08-24 07:41:01 EDT
I believe you should fix your branches and the way you track dependencies in upstream first. For example:

- you should not depend on neutron master in kilo stable branch;
- you should be explicit about libraries you use directly in your code instead of relying on neutron to fetch them for you;
- gates for both master and stable/kilo seem to be broken;
- your requirements versions in stable/kilo do not reflect what is in openstack/requirements:global-requirements.txt in stable/kilo so it can't be expected it will work with neutron stable/kilo.

If I can suggest to you, I really encourage you to avoid splitting the library into so tiny pieces. You will only have additional burden to maintain all of them, while little benefit. If you want to split some pieces into separate RPM packages, it is a lot easier done with RPM subpackages than with maintaining three separate packages on pypi. Also, it's still not clear how you end up with the package that does not contain the agent while it's in your repository. I suspect you went thru some manual process, and I strongly discourage you from do it that way. You can release your libraries with git tags in upstream.

And to add, you need to build documentation and put it into a subpackage, not just stop shipping it as you did lately.
Comment 11 Ihar Hrachyshka 2015-08-24 07:43:13 EDT
OK, I really cannot to do formal review for you since I am not an official sponsor, and it's your first package.
Comment 12 bigswitch 2015-08-25 02:54:32 EDT
Thanks a lot Ihar for the review. Your comments have been addressed. Instead of having two separate packages, we create subpackages with one spec file. Documentation is also packaged as a subpackage. Could you please help to redirect this review request to a sponsor?

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/1825oeu5jci70ceh2ct8x9l09iu4k7ie.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10758510

spec file and service file is also available at https://github.com/xinwu/python-networking-bigswitch

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/1825oeu5jci70ceh2ct8x9l09iu4k7ie.rpm -O python-networking-bigswitch-2015.1.34-1.el7.centos.src.rpm

The 2015.1.34 tag will be tagged in stackforge once following two reviews are merged
https://review.openstack.org/#/c/216464/
https://review.openstack.org/#/c/216547/
Comment 13 Haïkel Guémar 2015-08-25 13:33:31 EDT
Hi xinwu, could you do two informal reviews from this list and link them back here ?
https://bugzilla.redhat.com/show_bug.cgi?id=1243533

When it's done, needinfo me
Comment 14 xinwu 2015-08-25 13:58:33 EDT
Sure, will do :)
Comment 15 bigswitch 2015-08-25 18:17:51 EDT
Hi Haikel, I'm looking into these two right now: 1242886 1242896.
I'll update once I'm done with the review.
Comment 16 bigswitch 2015-08-26 01:20:50 EDT
Please use following links for review

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/tuxihmlq73d6b7ubdb9ub30w2ushliyh.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10835504

spec file and service file is also available at https://github.com/xinwu/python-networking-bigswitch

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/tuxihmlq73d6b7ubdb9ub30w2ushliyh.rpm -O python-networking-bigswitch-2015.1.36-1.el7.centos.src.rpm
Comment 17 Ihar Hrachyshka 2015-08-26 08:16:08 EDT
I think there are several issues with the service files I see at: https://github.com/xinwu/python-networking-bigswitch/blob/rpm-master/

Specifically,

1. they read ovs_neutron_agent.ini. Why not the agent specific file? do you really use ovs in bigswitch plugin?

2. they don't read configuration from /etc/neutron/conf.d/common and /etc/neutron/conf.d/neutron-<service-name> directories. The latter directory should be created as part of build process in the spec file, and added to corresponding (sub)packages. Please refer to existing neutron services to get an idea.

3. please rename neutron-bsn-agent.log into just bsn-agent.log since the path already suggests it's neutron.

Do we have a Delorean pull request for review?
Comment 18 bigswitch 2015-08-26 11:29:16 EDT
Thanks a lot Ihar! I'll address the new review comments today. 
We don't have a Delorean pull request yet. We asked for it earlier last week and got following reply from Haïkel. We don't totally understand the Red Hat Legal part, but looks like getting this review done is the first step. Please let us know if you have a different opinion :)
Quote from Haïkel
"We should move forward the fedora review for 2 reasons:
* we need to review all the packages before inclusion in delorean to avoid broken packages like octavia
* if your goal is to be included in RHEL-OSP, it's faster that way as
packages that are not in Fedora requires licensing review from Red Hat Legal. I plan to request an exception for RDO packages but until then, it's faster this way."
Comment 19 bigswitch 2015-08-26 17:14:20 EDT
Hi Haïkel,

I went over the following two bugs:
https://bugzilla.redhat.com/show_bug.cgi?id=1252812
https://bugzilla.redhat.com/show_bug.cgi?id=1242886
and found some minor discrepancies, but nothing major.

Some of the bugs from the list are approved, which probably should be crossed or removed the list:
https://bugzilla.redhat.com/show_bug.cgi?id=1242896
https://bugzilla.redhat.com/show_bug.cgi?id=1256353

Thanks!
Comment 20 bigswitch 2015-08-26 19:17:27 EDT
Reviewer comments about service files have been addressed.
Please use following links for further review.

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/tuxihmlq73d6b7ubdb9ub30w2ushliyh.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10842833

spec file and service file is also available at https://github.com/xinwu/python-networking-bigswitch

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/tuxihmlq73d6b7ubdb9ub30w2ushliyh.rpm -O python-networking-bigswitch-2015.1.36-1.el7.centos.src.rpm
Comment 21 Ihar Hrachyshka 2015-08-27 09:17:11 EDT
Please split %description and %package section with newlines.

Summary is not ideal. Better: "Big Switch Networks plugin for OpenStack Networking"

%{rpm_prefix} is not an ideal name since in some places it's a postfix for you (f.e. in python-%{rpm_prefix}).

You don't need to pass -n to %package since all your packages start with python-networking-bigswitch anyway. So "%package -n python-%{rpm_prefix}-*" => "%package *"

You should disable pbr version determination mechanisms on build phase: https://github.com/openstack-packages/neutron/blob/rpm-master/openstack-neutron.spec#L443

Please remove Group: tags, they are not needed since long time.

I don't think you should directly depend on systemd. You ship systemd units, but that's it. There is nothing that requires it, strictly speaking.

Should your dependencies be more specific about versions needed for the package?

Your packages should not depend on openstack-neutron which contains other neutron services, but on either openstack-neutron-common (for service subpackages) or on python-neutron (for python subpackage).

Include license in every subpackage.

Since you have a systemd unit in the package, you should register it. See: https://fedoraproject.org/wiki/Packaging:ScriptletSnippets#Systemd

"Neutron Big Switch Networks LLDP package" -> "Neutron Big Switch Networks LLDP service"

.service files look fine, thanks.
Comment 22 bigswitch 2015-08-27 18:31:01 EDT
Reviewer comments about service files have been addressed.
Please use following links for further review.

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10860544

spec file and service file is also available at https://github.com/xinwu/python-networking-bigswitch

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm -O python-networking-bigswitch-2015.1.37-1.el7.centos.src.rpm
Comment 23 Ihar Hrachyshka 2015-08-28 06:37:57 EDT
I believe main python package should depend on python-neutron not openstack-neutron-common. The latter should be the dependency for your agent.

Summary for -doc sub package is wrong.

In -doc description, documentations => documentation

Is python-networking-bigswitch-agent the name of the package you desire? I would think that openstack-neutron-bigswitch-agent is a better one. Same for lldp.

You don't need -n for description of -doc sub package either.

Why do you remove .egg-info in %prep? You should probably reuse it.

add SKIP_PIP_INSTALL in build too.

Otherwise looks good to me. I think we are close to claiming victory. :) Thanks for respinning the package.
Comment 24 bigswitch 2015-08-28 14:18:21 EDT
Reviewer comments about service files have been addressed.
Please use following links for further review.

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10872787

spec file and service file is also available at https://github.com/xinwu/python-networking-bigswitch

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm -O python-networking-bigswitch-2015.1.37-1.el7.centos.src.rpm
Comment 25 Ihar Hrachyshka 2015-08-31 07:32:52 EDT
Make sure all descriptions mention neutron, since it's neutron specific.

Otherwise looks good, and I believe we should proceed with merging it into Fedora and RDO.
Comment 26 bigswitch 2015-08-31 12:28:43 EDT
All descriptions are updated to mention neutron. Please let us know how to proceed to merge it. Also, is it time now to start a Delorean review?

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10897452

spec file and service file is also available at https://github.com/xinwu/python-networking-bigswitch

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm -O python-networking-bigswitch-2015.1.37-1.el7.centos.src.rpm
Comment 27 Ihar Hrachyshka 2015-08-31 12:30:58 EDT
> All descriptions are updated to mention neutron. Please let us know how to proceed to merge it.

You need a sponsor that will walk you thru formal review process. Ask RDO folks for help.

> Also, is it time now to start a Delorean review?

Yes, absolutely! :) My view is that we should have started there in the first place.
Comment 28 Haïkel Guémar 2015-09-01 14:19:09 EDT
We're almost done, please apply the following changes:
* fix the following rpmlint errors/warnings
python-networking-bigswitch.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/bsnstacklib/plugins/bigswitch/tests/test_server.py 644 /usr/bin/env
python-networking-bigswitch.noarch: E: non-executable-script /usr/lib/python2.7/site-packages/bsnstacklib/plugins/bigswitch/version.py 644 /usr/bin/env  
python-networking-bigswitch.src:21: W: mixed-use-of-spaces-and-tabs (spaces: line 6, tab: line 21)

Use sed to drop the shebang, here's a snippet that could help you.
https://fedoraproject.org/wiki/Packaging_tricks#Remove_shebang_from_Python_libraries


As your also an upstream maintainer, please consider updating requirements.txt as downstream use it to check runtime requirements (rdopkg reqcheck serves that particular goal).

When you're done, needinfo me and I'll add it in delorean.
Comment 29 bigswitch 2015-09-02 01:53:03 EDT
rpmlint errors/warnings have been fixed :)

Spec URL: https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec
SRPM URL: https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm
Description: Big Switch Openstack Neutron driver
Fedora Account System Username: xinwu
mock build: http://koji.fedoraproject.org/koji/taskinfo?taskID=10923590

spec file and service file is also available at https://github.com/xinwu/python-networking-bigswitch

wget https://bigswitch.box.com/shared/static/24hmnr6ojdgwulgpqclcvlvp5qf8tdt3.spec -O python-networking-bigswitch.spec
wget https://bigswitch.box.com/shared/static/0xq8hbab8lbzcn5au4gqvkbhe4figavo.rpm -O python-networking-bigswitch-2015.1.37-1.el7.centos.src.rpm
Comment 30 Haïkel Guémar 2015-09-02 16:14:54 EDT
You're now officially sponsored, use your powers for good.

I hereby approve this package into Fedora Packages Collection, please
submit a SCM request and import the package.
https://fedoraproject.org/wiki/Package_SCM_admin_requests

Let me know if you need assistance with the process.



Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses
     found: "Apache (v2.0)", "*No copyright* Apache (v2.0)". Detailed
     output of licensecheck in /home/haikel/bigswitch/review-python-
     networking-bigswitch/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package requires other packages for directories it uses.
     Note: No known owner of /etc/neutron/conf.d
[x]: Package must own all directories that it creates.
     Note: Directories without known owners: /etc/neutron/conf.d,
     /usr/lib/systemd/system, /etc/neutron, /usr/lib/systemd
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[x]: Package contains systemd file(s) if in need.
[x]: Package is not known to require an ExcludeArch tag.
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least
     one supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %license.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Dist tag is present.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package does not use a name that already exists.
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Documentation size is 0 bytes in 0 files.
[x]: Packages must not store files under /srv, /opt or /usr/local

Python:
[x]: Python eggs must not download any dependencies during the build
     process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[-]: If the source package does not include license text(s) as a separate
     file from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[-]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     networking-bigswitch-doc
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[ ]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed
     files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-networking-bigswitch-2015.1.37-1.fc24.noarch.rpm
          openstack-neutron-bigswitch-agent-2015.1.37-1.fc24.noarch.rpm
          openstack-neutron-bigswitch-lldp-2015.1.37-1.fc24.noarch.rpm
          python-networking-bigswitch-doc-2015.1.37-1.fc24.noarch.rpm
          python-networking-bigswitch-2015.1.37-1.fc24.src.rpm
python-networking-bigswitch.noarch: W: no-documentation
openstack-neutron-bigswitch-agent.noarch: W: no-documentation
openstack-neutron-bigswitch-agent.noarch: W: no-manual-page-for-binary neutron-bsn-agent
openstack-neutron-bigswitch-lldp.noarch: W: no-documentation
openstack-neutron-bigswitch-lldp.noarch: W: no-manual-page-for-binary bsnlldp
python-networking-bigswitch-doc.noarch: E: zero-length /usr/share/doc/python-networking-bigswitch-doc/html/_sources/contents.txt
5 packages and 0 specfiles checked; 1 errors, 5 warnings.




Rpmlint (installed packages)
----------------------------
openstack-neutron-bigswitch-lldp.noarch: W: no-documentation
openstack-neutron-bigswitch-lldp.noarch: W: no-manual-page-for-binary bsnlldp
python-networking-bigswitch.noarch: W: no-documentation
python-networking-bigswitch-doc.noarch: E: zero-length /usr/share/doc/python-networking-bigswitch-doc/html/_sources/contents.txt
openstack-neutron-bigswitch-agent.noarch: W: no-documentation
openstack-neutron-bigswitch-agent.noarch: W: no-manual-page-for-binary neutron-bsn-agent
4 packages and 0 specfiles checked; 1 errors, 5 warnings.



Requires
--------
openstack-neutron-bigswitch-lldp (rpmlib, GLIBC filtered):
    /usr/bin/python2
    python-networking-bigswitch

python-networking-bigswitch (rpmlib, GLIBC filtered):
    /bin/sh
    openstack-neutron
    python(abi)
    python-oslo-config
    python-oslo-log
    python-oslo-messaging
    python-oslo-serialization
    python-oslo-utils
    python-pbr
    systemd

python-networking-bigswitch-doc (rpmlib, GLIBC filtered):

openstack-neutron-bigswitch-agent (rpmlib, GLIBC filtered):
    /usr/bin/python2
    openstack-neutron-common
    python-networking-bigswitch



Provides
--------
openstack-neutron-bigswitch-lldp:
    openstack-neutron-bigswitch-lldp

python-networking-bigswitch:
    python-networking-bigswitch

python-networking-bigswitch-doc:
    python-networking-bigswitch-doc

openstack-neutron-bigswitch-agent:
    openstack-neutron-bigswitch-agent



Source checksums
----------------
https://pypi.python.org/packages/source/b/bsnstacklib/bsnstacklib-2015.1.37.tar.gz :
  CHECKSUM(SHA256) this package     : 21ca67fd87a6afa853f4221fa59a85b46e9b0174c21c98314d729b16624e92c7
  CHECKSUM(SHA256) upstream package : 21ca67fd87a6afa853f4221fa59a85b46e9b0174c21c98314d729b16624e92c7


Generated by fedora-review 0.5.3 (bcf15e3) last change: 2015-05-04
Command line :/usr/bin/fedora-review -n /home/haikel/bigswitch/ -m fedora-rawhide-x86_64
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, DISTTAG, EPEL5, BATCH, EPEL6
Comment 31 xinwu 2015-09-02 16:42:15 EDT
New Package SCM Request
=======================
Package Name: python-networking-bigswitch
Short Description: Big Switch OpenStack Neutron driver and agents
Upstream URL: https://pypi.python.org/pypi/bsnstacklib
Owners: xinwu
Branches: f23
InitialCC:
Comment 32 bigswitch 2015-09-02 20:22:22 EDT
New Package SCM Request
=======================
Package Name: python-networking-bigswitch
Short Description: Big Switch OpenStack Neutron driver and agents
Upstream URL: https://pypi.python.org/pypi/bsnstacklib
Owners: xinwu
Branches: f23
InitialCC:
Comment 33 Gwyn Ciesla 2015-09-03 08:53:03 EDT
Git done (by process-git-requests).
Comment 34 bigswitch 2015-09-03 20:51:06 EDT
SCM packages have been built at http://koji.fedoraproject.org/koji/buildinfo?buildID=682726, can we have a https://github.com/openstack-packages/python-networking-bigswitch repo? Thanks!

Note You need to log in before you can comment on or make changes to this bug.